1. Sea
  • Introduction
  • Getting Started
  • Authentication
  • Error Handling
  • Contact Support
  • Modaltrans API
    • Get Auth Token
      • Get Bearer Token
    • Accounting
      • Invoices
        • Retrieve an Invoice
        • List all Invoices
      • Invoice Items
        • List all Invoice Items
        • Deleted Invoice Items
      • Financials
        • Retrieve Financial Information
    • Customs
      • NCTS Declarations
        • List all NCTS Declarations
        • Retrieve an NCTS Declaration
        • Create an NCTS Declaration with XML Data
        • Update an NCTS Declaration
        • Download an NCTS Declaration
        • List Timelines of NCTS Declaration
        • List Messages of NCTS Decalaration
      • Customs Declarations
        • List all Customs Declarations
        • Retrieve a Custom Declaration
        • Create a Customs Declaration
        • Update a Custom Declaration
        • Delete a Custom Declaration
        • Retrieve a Declaration History
        • Retrieve an MRN Status of Declaration
      • Declaration Requests
        • List all Declaration Orders
        • Retrieve a Declaration Request
        • Create a Declaration Request
        • Update a Declaration Request
        • Delete a Declaration Request
      • Ens Declarations
        • Create an Ens Declaration
        • Download an Ens Declaration
    • Logistics
      • Bookings
        • Retrieve a Booking
        • List all Bookings
        • Create a Booking
        • Update a Booking
      • Locations
        • List all Locations
        • Retrieve a Location
      • Positions
        • Update a Transport
        • Get All Positions
        • Retrieve a Position
      • Tracking
        • Available Shipping Lines
        • Retrieve a Tracking Data
        • Subscribe to Tracking
      • Shipments
        • Retrieve a Shipment
        • List All Shipments
        • Retrieve Financials of Shipment
        • List Contacts of the Shipment
        • Create a Shipment
        • Update a Shipment
    • Depot
      • Orders
        • Retrieve an Order
        • List all Orders
        • Create an Order
        • Update an Order
      • Products
        • Retrieve a Product
        • List all Products
        • Create a Product
        • Update a Product
        • List Product Stocks
      • Inventories
        • List all Inventories
    • Fleet Management
      • Drivers
        • Retrieve a Driver
        • Retrieve a Driver's Vehicle
        • List Driver Positions
        • Update a Driver
      • Vehicles
        • Retrieve a Vehicle
        • Update a Vehicle
      • Gps Service Controller
        • Create Gps Responses
      • Service Logs
        • List all Service Logs
        • Retrieve a Service Log
        • Create a Service Log
        • Delete a Service Log
        • Update a Service Log
      • Periodic Documents
        • Retrieve a Periodic Document
        • Update a Periodic Document
        • Create a Periodic Document
    • CRM
      • Companies
        • List all Companies
        • Retrieve a Company
        • Create a Company
        • Update a Company
        • Delete a Company
        • List Company Credit Limits
      • Quotes
        • Retrieve a Quote
        • List All Quotes
        • Create a Quote
        • Accept a Quote
        • Reject a Quote
    • Timelines
      • Retrieve a Timeline
      • List Timelines
      • Create a Timeline
    • S3 Files
      • List all S3Files
      • Create an S3File
      • Delete an S3File
    • Notifications
      • List all Notifications
      • Update a Notification Status
    • User Details
      • List User Details
      • Update User Details
    • Milestones
      • Retrieve a Milestone
      • List Milestones
      • Create a Milestone
      • Delete a Milestone
      • Update a Milestone
  • Webhooks
    • Webhooks
    • Tracking Webhooks
    • Trackings
      • Sea
        • Sea Tracking Event Created
        • Sea Tracking Event Updated
      • Air
        • Air Tracking Event Created
        • Air Tracking Event Updated
  1. Sea

Sea Tracking Event Created

Developing
Webhook
POST
Sent when a new tracking event is recorded for one of your sea shipments.

Request

Header Params

Body Params application/json

Example
{
  "webhookId": 12,
  "eventName": "sea_tracking_events/create",
  "deliveryId": "56c9977c-8aed-4d84-839e-1c195bf13a1f",
  "sentAt": "2026-09-22T09:44:55Z",
  "data": [
    {
      "eventID": "681e6e97-0fdb-5043-a287-3855485e1cb1",
      "eventType": "EQUIPMENT",
      "eventClassifierCode": "ACT",
      "eventDateTime": "2026-09-21T17:00:00Z",
      "eventCreatedDateTime": "2026-09-22T09:44:55Z",
      "equipmentEventTypeCode": "DISC",
      "equipmentReference": "FCIU4892369",
      "emptyIndicatorCode": "LADEN",
      "documentReferences": [
        {
          "documentReferenceType": "TRD",
          "documentReferenceValue": "HDMU1234567890"
        }
      ],
      "transportCall": {
        "transportCallID": "bbec06f4-24fd-5a7f-9bd9-dba9c63e217a",
        "modeOfTransport": "VESSEL",
        "location": {
          "locationName": "Southampton",
          "UNLocationCode": "GBSOU"
        },
        "vessel": {
          "vesselIMONumber": "9637234",
          "vesselName": "HYUNDAI HOPE"
        },
        "carrierVoyageNumber": "0058W"
      },
      "modaltrans": {
        "systemStatus": "dischargeFromVessel",
        "carrierEventCode": "DISC",
        "carrierEventDescription": "Vessel Discharged at POD",
        "vesselName": "HYUNDAI HOPE",
        "carrierCode": "HDMU",
        "eventKey": "32aa1788-48ca-5ecc-bab8-d4c97a7c5d41",
        "loadingReference": "SWSIM0033518"
      }
    }
  ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'X-Modaltrans-Signature: sha256=d55e674078099a696aebbcb1c4e0094a938fd7902667c8d06de366bcdfcc2741' \
--header 'X-Modaltrans-Delivery: 56c9977c-8aed-4d84-839e-1c195bf13a1f' \
--header 'X-Modaltrans-Event: sea_tracking_events/create' \
--header 'User-Agent: Modaltrans-Webhook/1.0' \
--header 'Content-Type: application/json' \
--data '{
  "webhookId": 12,
  "eventName": "sea_tracking_events/create",
  "deliveryId": "56c9977c-8aed-4d84-839e-1c195bf13a1f",
  "sentAt": "2026-09-22T09:44:55Z",
  "data": [
    {
      "eventID": "681e6e97-0fdb-5043-a287-3855485e1cb1",
      "eventType": "EQUIPMENT",
      "eventClassifierCode": "ACT",
      "eventDateTime": "2026-09-21T17:00:00Z",
      "eventCreatedDateTime": "2026-09-22T09:44:55Z",
      "equipmentEventTypeCode": "DISC",
      "equipmentReference": "FCIU4892369",
      "emptyIndicatorCode": "LADEN",
      "documentReferences": [
        {
          "documentReferenceType": "TRD",
          "documentReferenceValue": "HDMU1234567890"
        }
      ],
      "transportCall": {
        "transportCallID": "bbec06f4-24fd-5a7f-9bd9-dba9c63e217a",
        "modeOfTransport": "VESSEL",
        "location": {
          "locationName": "Southampton",
          "UNLocationCode": "GBSOU"
        },
        "vessel": {
          "vesselIMONumber": "9637234",
          "vesselName": "HYUNDAI HOPE"
        },
        "carrierVoyageNumber": "0058W"
      },
      "modaltrans": {
        "systemStatus": "dischargeFromVessel",
        "carrierEventCode": "DISC",
        "carrierEventDescription": "Vessel Discharged at POD",
        "vesselName": "HYUNDAI HOPE",
        "carrierCode": "HDMU",
        "eventKey": "32aa1788-48ca-5ecc-bab8-d4c97a7c5d41",
        "loadingReference": "SWSIM0033518"
      }
    }
  ]
}'

Responses

🟢204Accepted
Return any 2xx once you have stored the body. Process it afterwards. Any other status, a timeout or a connection failure is retried after 1, 5 and 10 minutes.
This response does not have a body.
Modified at 2026-09-25 15:35:25
Previous
Tracking Webhooks
Next
Sea Tracking Event Updated
Built with